Summary:	A client-side library implementing the SSH2 protocol
Name:		libssh2
Version:	1.11.0
Release:	4%{?dist}
License:	BSD
URL:		https://www.libssh2.org/
Source0:	https://libssh2.org/download/%{name}-%{version}.tar.gz

# https://github.com/libssh2/libssh2/issues/630
Patch3000:	libssh2-1.11.0-ssh-rsa-test.patch
Patch3001:  libssh2-1.11.0-strict-modes.patch

BuildRequires:	gcc make coreutils findutils sed /usr/bin/man
BuildRequires:	zlib-devel openssl-devel > 1.0.1
BuildRequires:	groff openssh-server glibc-all-langpacks

%description
libssh2 is a client-side library implementing the SSH2 protocol.

%package devel
Summary:		Development files for libssh2
Requires:		%{name} = %{version}-%{release}
Requires:		pkgconfig

%description devel
The libssh2-devel package contains libraries and header files for
developing applications that use libssh2.

%prep
%setup -q
%patch3000
%patch3001

%build
%configure \
    --disable-silent-rules \
    --enable-shared \
    --disable-docker-tests 
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete

rm -v %{buildroot}%{_libdir}/libssh2.a
make -C example clean
rm -rf example/.deps
find example/ -type f '(' -name '*.am' -o -name '*.in' ')' -delete

mv -v example example.%{_arch}

%check
LC_ALL=en_US.UTF-8 make -C tests check

%files
%license COPYING
%doc docs/AUTHORS README RELEASE-NOTES
%{_libdir}/libssh2.so.1
%{_libdir}/libssh2.so.1.*

%files devel
%doc docs/BINDINGS.md docs/HACKING.md docs/TODO NEWS
%doc example.%{_arch}/
%{_includedir}/libssh2.h
%{_includedir}/libssh2_publickey.h
%{_includedir}/libssh2_sftp.h
%{_libdir}/libssh2.so
%{_libdir}/pkgconfig/libssh2.pc
%{_mandir}/man3/libssh2_*.3*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.0-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 08 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.11.0-1
- Upgrade to upstream version 1.11.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 03 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.10.0-3
- Disable testcase ssh2.sh

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Oct 25 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.10.0-1
- Initial build
